Debian Bug report logs - #534942
diversion-for-unknown-file: false positives if output redirection is used

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Andreas Beckmann <debian@abeckmann.de>

Date: Sun, 28 Jun 2009 12:42:08 UTC

Severity: normal

Found in version lintian/2.2.12

Fixed in version lintian/2.2.14

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534942; Package lintian. (Sun, 28 Jun 2009 12:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 28 Jun 2009 12:42:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: diversion-for-unknown-file: false positives if output redirection is used
Date: Sun, 28 Jun 2009 14:39:28 +0200
Package: lintian
Version: 2.2.12
Severity: normal

Hi,

the diversion-for-unknown-file check produces false positives if
output redirection is used in the dpkg-divert invokation:

nvidia-glx: diversion-for-unknown-file usr/lib/libGL.so.1.2>/dev/null preinst:89

for the following command:

dpkg-divert --add --rename --package nvidia-glx --divert /usr/lib/nvidia/libGL.so.1.2.xlibmesa /usr/lib/libGL.so.1.2 > /dev/null


Andreas

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (800, 'testing'), (800, 'stable'), (600, 'unstable'), (130, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lintian depends on:
ii  binutils               2.19.1-1          The GNU assembler, linker and bina
ii  diffstat               1.47-1            produces graph of changes introduc
ii  dpkg-dev               1.15.2            Debian package development tools
ii  file                   5.03-1            Determines file type using "magic"
ii  gettext                0.17-6            GNU Internationalization utilities
ii  intltool-debian        0.35.0+20060710.1 Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl        0.1.23            Perl interface to libapt-pkg
ii  libdigest-sha-perl     5.47-1            Perl extension for SHA-1/224/256/3
ii  libipc-run-perl        0.82-1            Perl module for running processes
ii  libparse-debianchangel 1.1.1-2           parse Debian changelogs and output
ii  libtimedate-perl       1.1600-9          Time and date functions for Perl
ii  liburi-perl            1.37+dfsg-1       Manipulates and accesses URI strin
ii  man-db                 2.5.5-2           on-line manual pager
ii  perl [libdigest-sha-pe 5.10.0-23         Larry Wall's Practical Extraction 

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch            <none>     (no description available)
pn  libtext-template-perl         <none>     (no description available)
ii  man-db                        2.5.5-2    on-line manual pager

-- no debconf information




Tags added: pending Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Tue, 30 Jun 2009 05:48:12 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Thu, 09 Jul 2009 16:24:14 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Thu, 09 Jul 2009 16:24:14 GMT) Full text and rfc822 format available.

Message #12 received at 534942-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 534942-close@bugs.debian.org
Subject: Bug#534942: fixed in lintian 2.2.13
Date: Thu, 09 Jul 2009 16:17:34 +0000
Source: lintian
Source-Version: 2.2.13

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.2.13.dsc
  to pool/main/l/lintian/lintian_2.2.13.dsc
lintian_2.2.13.tar.gz
  to pool/main/l/lintian/lintian_2.2.13.tar.gz
lintian_2.2.13_all.deb
  to pool/main/l/lintian/lintian_2.2.13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jul 2009 09:11:14 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.2.13
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 516530 533618 534134 534139 534141 534212 534218 534234 534276 534326 534580 534640 534684 534942 535308 535432 535566 535582
Changes: 
 lintian (2.2.13) unstable; urgency=low
 .
   The "triggerized install-info" release.
 .
   * Summary of tag changes:
     + Added:
       - install-info-used-in-maintainer-script
       - package-contains-info-dir-file
     + Removed:
       - info-documents-not-removed
       - install-info-not-called-with-quiet-option
       - missing-comma-after-substvar
       - postrm-calls-install-info
       - preinst-calls-install-info
 .
   * checks/control-file{,.desc}:
     + [RA] Rework missing-separator-between-lines to only include two
       specific package stanzas in the extra tag data and not include
       newlines.  Generalize it to also detect missing commas between
       substvars, replacing missing-comma-after-substvar.
   * checks/cruft{,.desc}:
     + [RA] Don't warn about outdated libtool if the package build-depends
       on libtool.  Thanks, Kurt Roeckx.  (Closes: #534134)
     + [RA] Fix typo in *-contains-ht-tags-file description.  Patch from
       Peter Pentchev.  (Closes: #534218)
   * checks/fields:
     + [ADB] If the Debian r-cran makefile include is used in the rules file,
       cdbs, debhelper and r-base-dev are required in Build-Depends.  Thanks,
       Charles Plessy.  (Closes: #534684)
     + [RA] Allow variable settings before ant, dpatch, and dh when
       checking debian/rules for dependencies.  Thanks, Ryan Niebur.
       (Closes: #535432)
   * checks/files{,.desc}:
     + [RA] Allow non-core Python packages to install files into
       /usr/lib/python*/dist-packages, the extension location for Python
       2.6 and later.  Thanks, Julian Andres Klode.  (Closes: #534212)
     + [RA] Check for /usr/share/info/dir files included in the package.
       Thanks, Bas Zoetekouw.  (Closes: #535566)
   * checks/infofiles{,.desc}:
     + [RA] Ignore dir files; they're a different error that's now caught
       by checks/files.
     + [RA] Remove all checking of maintainer scripts, since info dir
       entries are now handled with triggers.  Now always warn of info
       files without INFO-DIR-SECTION, even if install-info were called
       with a --section argument.  Warn of info files without a DIR-ENTRY
       section.  Thanks, Raphaël Hertzog.  (Closes: #534640)
     + [RA] Fix a bug in the detection of bad info file extensions that
       missed extensions containing the string "info".
     + [RA] Improve the long descriptions of tags about compression of info
       documents.
   * checks/init.d:
     + [RA] Take into account dangling symlinks in /etc/init.d.  Patch from
       Raphael Geissert.  (Closes: #534139)
     + [RA] Don't require symlink init scripts to be conffiles and realize
       they are included in the package even if the symlink is dangling.
       Thanks, Steve Langasek.  (Closes: #534326)
   * checks/manpages:
     + [RA] Don't warn about hyphens used as minus signs inside draft mode,
       since \- cannot be used there.  Based on a patch by Gennaro Oliva.
       (Closes: #535308)
   * checks/patch-systems:
     + [RA] Don't include the package name as extra data in tags that are
       only issued for source packages.  Patch from Raphael Geissert.
   * checks/scripts{,.desc}:
     + [RA] Lower certainty of read-in-maintainer-script to possible and
       mention false positives.  Thanks, Raphaël Hertzog.  (Closes: #534276)
     + [RA] Allow for output redirection when parsing diversions in
       maintainer scripts.  Thanks, Andreas Beckmann.  (Closes: #534942)
     + [ADB] Detect the use of the "source" bashism when the sourced filename
       contains a tilde or consists of a single character.  Thanks, Raphael
       Geissert and Ryan Niebur.
     + [RA] Avoid a false positive in the bashism check for trap with
       signal numbers when the the trap command contains a number.  Thanks,
       Julien Cristau.  (Closes: #534580)
     + [RA] Check for any maintainer script running install-info, since
       this is now handled with triggers.
   * checks/watch-file:
     + [RA] Use a consistent way of displaying the line number of a problem.
 .
   * collection/strings:
     + [ADB] Handle the fact that, when Lintian is run as root, the output of
       "file" on set[gu]id files may include the fact that they are set[gu]id.
       Thanks, Peter Pentchev.  (Closes: #533618)
 .
   * lib/Read_pkglists.pm:
     + [RA] Increment the package list format and expect the archive area
       as an additional argument.  Patch from Raphael Geissert.
   * lib/Spelling.pm:
     + [RA] Add changes misspelling.
     + [RA] Fix correction for endianness.  Thanks, Raphael Geissert.
       (Closes: #535582)
     + [RA] Only strip most punctuation from the end of each word, not from
       anywhere in the string.  We don't want to strip the period from
       res.size.  Thanks, Zack Weinberg.  (Closes: #534234)
   * lib/Tags.pm:
     + [RA] Replace all newlines in tag data with \n, not just the first.
       (Closes: #534141)
 .
   * man/lintian.1:
     + [RA] The archive area may be a comma-separated list of areas.  Patch
       from Raphael Geissert.
 .
   * private/update-coverage:
     + [RA] Provide a breakdown of tags only covered in the legacy test
       suite by test name.
 .
   * reporting/html_reports:
     + [RA] Change area back to section in the loop for generating the
       package index pages to be consistent with the page template.
     + [RA] Allow for multiple archive areas in the front page summary.
     + [RA] Add the archive area to the tag information.
   * reporting/templates/maintainer.tmpl:
     + [RA] Include the archive area in the source package heading if it's
       not main.  Include the archive area in the binary package heading if
       it's different than the source package archive area.
 .
   * unpack/list-{bin,src,udeb}pkg:
     + [RA] Collect information from multiple archive areas and include the
       archive area in the package list.  Patch from Raphael Geissert.
       (Closes: #516530)
Checksums-Sha1: 
 a335e888b483160766ee0602bc3f226530dbbac9 1167 lintian_2.2.13.dsc
 28b0275245d555fb2b7d72a40c691ea873eb65f0 722385 lintian_2.2.13.tar.gz
 b4fb1e784f44f5836441c707cdd3364526081b79 462854 lintian_2.2.13_all.deb
Checksums-Sha256: 
 35afe2ca26173e8f85b5a8da3de97b624b08dd74a69f8912fd64d99c05e90376 1167 lintian_2.2.13.dsc
 4687a24dddc127236466c06d8e4a36476553c0056d54f552d9c200b3027191e0 722385 lintian_2.2.13.tar.gz
 3501496ceddad214f4ff3d9bed5d80c0395b25b62aa415b9fd8d63c1ac475915 462854 lintian_2.2.13_all.deb
Files: 
 43ad42077220df7dfab500621579b181 1167 devel optional lintian_2.2.13.dsc
 c3cdf4c47ae2ce26e28045990e297989 722385 devel optional lintian_2.2.13.tar.gz
 0b5bac0161affb748236d632eeab9a1a 462854 devel optional lintian_2.2.13_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpWF7oACgkQ+YXjQAr8dHalswCgi//qwHJ1YlKq71YRi5T4Mjm5
Oc4AoIVcKYbp4HwlAElAVBwshOrOxrFm
=V1sp
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534942; Package lintian. (Fri, 24 Jul 2009 07:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 24 Jul 2009 07:39:03 GMT) Full text and rfc822 format available.

Message #17 received at 534942@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: 534942@bugs.debian.org, control@bugs.debian.org
Subject: diversion-for-unknown-file: more false positives if output redirection is used
Date: Fri, 24 Jul 2009 09:30:02 +0200
reopen 534942
thanks

Hi,

the fix recently applied for this bug causes some more false positives,
probably by treating a trailing digit of the file name as a file
descriptor being redirected: now I get reports like

> E: nvidia-glx-legacy-173xx: diversion-for-unknown-file usr/lib/libGL.so. preinst:88
> E: nvidia-glx-legacy-173xx: diversion-for-unknown-file usr/lib/libGL.so.1. preinst:89

for the following code:

> dpkg-divert --add --rename --package nvidia-glx-legacy-173xx --divert /usr/lib/nvidia/libGL.so.1.xlibmesa /usr/lib/libGL.so.1 > /dev/null
> dpkg-divert --add --rename --package nvidia-glx-legacy-173xx --divert /usr/lib/nvidia/libGL.so.1.2.xlibmesa /usr/lib/libGL.so.1.2 > /dev/null


Andreas




Bug No longer marked as fixed in versions lintian/2.2.13 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Jul 2009 07:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sat, 25 Jul 2009 03:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#534942; Package lintian. (Sat, 25 Jul 2009 03:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sat, 25 Jul 2009 03:39:02 GMT) Full text and rfc822 format available.

Message #26 received at 534942@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Andreas Beckmann <debian@abeckmann.de>
Cc: 534942@bugs.debian.org
Subject: Re: Bug#534942: diversion-for-unknown-file: more false positives if output redirection is used
Date: Fri, 24 Jul 2009 20:36:54 -0700
Andreas Beckmann <debian@abeckmann.de> writes:

> the fix recently applied for this bug causes some more false positives,
> probably by treating a trailing digit of the file name as a file
> descriptor being redirected: now I get reports like
>
>> E: nvidia-glx-legacy-173xx: diversion-for-unknown-file usr/lib/libGL.so. preinst:88
>> E: nvidia-glx-legacy-173xx: diversion-for-unknown-file usr/lib/libGL.so.1. preinst:89
>
> for the following code:
>
>> dpkg-divert --add --rename --package nvidia-glx-legacy-173xx --divert /usr/lib/nvidia/libGL.so.1.xlibmesa /usr/lib/libGL.so.1 > /dev/null
>> dpkg-divert --add --rename --package nvidia-glx-legacy-173xx --divert /usr/lib/nvidia/libGL.so.1.2.xlibmesa /usr/lib/libGL.so.1.2 > /dev/null

Thanks for the report.  Looks like it was too aggressive about removing
whitespace before checking for redirects.  I moved where whitespace was
stripped and made it less aggressive, and that seems to have fixed it.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Sun, 16 Aug 2009 06:30:09 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 16 Aug 2009 06:30:10 GMT) Full text and rfc822 format available.

Message #31 received at 534942-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 534942-close@bugs.debian.org
Subject: Bug#534942: fixed in lintian 2.2.14
Date: Sun, 16 Aug 2009 06:02:11 +0000
Source: lintian
Source-Version: 2.2.14

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.2.14.dsc
  to pool/main/l/lintian/lintian_2.2.14.dsc
lintian_2.2.14.tar.gz
  to pool/main/l/lintian/lintian_2.2.14.tar.gz
lintian_2.2.14_all.deb
  to pool/main/l/lintian/lintian_2.2.14_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534942@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 Aug 2009 22:47:44 -0700
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.2.14
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 lintian    - Debian package checker
Closes: 469018 492626 534942 536397 536404 536405 537207 537606 537607 537608 537969 538055 538929 540348 540425 541119 541143 541144
Changes: 
 lintian (2.2.14) unstable; urgency=low
 .
   The "Policy 3.8.3" release.
 .
   * Summary of tag changes:
     + Added:
       - debhelper-overrides-need-versioned-build-depends
       - maintainer-script-modifies-ld-so-conf
       - missing-dependency-on-install-info
       - multiple-distributions-in-changes-file
       - patch-system-but-no-source-readme
       - package-modifies-ld.so-search-path
       - possible-documentation-but-no-doc-base-registration
     + Removed:
       - file-in-usr-something-x11-without-pre-depends
     + Renamed:
       - build-depends-on-x-metapackage => build-depends-on-metapackage
       - depends-on-x-metapackage => depends-on-metapackage
 .
   * checks/changelog-file.desc:
     + [RA] Document the "Old Changelog" way of marking historic changelog
       entries that shouldn't be syntax-checked in the long description for
       syntax-error-in-debian-changelog.  (Closes: #541119)
   * checks/debconf:
     + [CW] Permit Help: in .templates files, which is supported as of
       cdebconf 0.143 and used in the installer.
   * checks/debhelper{,.desc}:
     + [CW] Check for the use of debhelper override targets, which require
       debhelper 7.0.50.
     + [RA] Don't warn about recently deprecated debhelper commands in
       possibly optional portions of debian/rules.  (Closes: #537607)
     + [RA] Don't warn about missing build dependencies for commands in
       possibly optional portions of debian/rules.  (Closes: #537608)
   * checks/description:
     + [RA] Decode descriptions from UTF-8 before checking length.  Thanks,
       Charles Plessy.  (Closes: #537207)
     + [RA] Avoid duplicated word false positives from words that contain
       punctuation.  Thanks, Nelson A. de Oliveira.  (Closes: #540348)
   * checks/fields{,.desc}:
     + [FL] packages named lib*-camlp4-dev should be in section ocaml
     + [RA] Move debian/rules parsing to check build dependencies to
       checks/rules.
     + [RA] Allow any package to be in section oldlibs without triggering
       warnings.  Thanks, Rene Engelhard.  (Closes: #537606)
     + [RA] Lower wrong-section-according-to-package-name to possible.
     + [RA] Recognize packages as metapackages even if they contain Lintian
       overrides, thus fixing two packages that added a Lintian override
       for having dependencies only permitted for metapackages, which in
       turn ensures that they keep getting that tag.
     + [RA] Recognize packages as metapackages even if they contain files
       in /usr/share/cdd.
     + [RA] Renamed the tags for depending or build-depending on X
       metapackages to make them generic and load the list of metapackages
       from data/fields/metapackages.  Always consider known metapackages
       to be metapackages for the dependency check.
     + [RA] Don't require a tilde after lp: in bzr URLs.  Thanks, Benjamin
       Drung.  (Closes: #541143)
     + [RA] Fix spelling of xfonts-encodings in the xfont dependency
       exception.  (Closes: #540425)
     + [RA] Allow :ext: CVS repository references if the username looks
       like it won't require autentication.  Thanks, Thorsten Glaser.
   * checks/files{,.desc}:
     + [CW] /var/lock and /var/run are not temporary filesystems in d-i, so
       don't emit errors about their use in udebs.
     + [RA] Warn about packages containing files in /etc/ld.so.conf.d that
       don't appear to be part of libc.  Policy 3.8.3 no longer permits
       modification of ld.so.conf.
     + [RA] Remove the check for x11-common pre-depends before installing
       files in /usr/{include,lib}/X11.  Policy 3.8.3 removes this
       requirement.
   * checks/infofiles{,.desc}:
     + [RA] Add missing leading * to example info directory entry.
     + [RA] Check that packages with info files depend on dpkg or
       install-info as recommended by Policy 5.8.3.
   * checks/lintian.desc:
     + [RA] Expand multiple-distributions-in-changes-file description and
       add a reference to the Policy section.  Change certainty to
       possible, since this may be fine for non-Debian uploads.
   * checks/menus{,.desc}:
     + [RA] Add info-level tag for packages with apparent HTML or PDF
       documentation in /usr/share/doc but no doc-base registration.  Based
       on a patch from Raphael Geissert.  (Closes: #469018)
   * checks/patch-systems{,.desc}:
     + [RA] Check for a patch system in use but no debian/README.source.
       Based on a patch from Jonathan Yu.  (Closes: #537969)
   * checks/po-debconf:
     + [CW] Don't emit not-using-po-debconf if all templates are marked "for
       internal use".  (Closes: #492626)
   * checks/rules{,.desc}:
     + [RA] Moved checking of build dependencies based on programs invoked
       in debian/rules from checks/fields to here.
     + [RA] Expand Lintian's understanding of which targets are run for the
       clean target to include targets invoked via pattern variable
       expansion.  (Closes: #536405)
     + [RA] Make the handling of make variables as rule names more robust
       and avoid generating invalid regexes.
     + [RA] Packages including /usr/share/mozilla-devscripts makefile
       fragments in debian/rules must Build-Depend on mozilla-devscripts.
       Thanks, Benjamin Drung.  (Closes: #541144)
   * checks/scripts:
     + [RA] Fix parsing of dpkg-divert commands diverting a file ending in
       a number, followed by a redirection.  Thanks, Andreas Beckmann.
       (Closes: #534942)
     + [RA] Warn about maintainter scripts that modify /etc/ld.so.conf.
       Policy 3.8.3 no longer permits this.
     + [RA] Avoid command-with-path-in-maintainer-script false positives
       with backtick expressions as arguments to commands.  Thanks, Stefan
       Fritsch.  (Closes: #536397)
   * checks/watch-file:
     + [RA] Fix false positives in debian-watch-file-should-mangle-version
       when an upstream version is specified in the watch file and give the
       line number of mangling issues.  Patch from Raphael Geissert.
       (Closes: #536404)
 .
   * data/debhelper/*:
     + [ADB] Refresh against unstable.
   * data/fields/architectures:
     + [RA] Refresh architecture list against dpkg 1.15.3.1, adding avr32
       and kopensolaris.  (Closes: #538055)
   * data/fields/metapackages:
     + [RA] New file listing known metapackages that should not be used in
       Depends or Build-Depends.
     + [RA] Add mono-complete.  (Closes: #538929)
   * data/fields/virtual-packages:
     + [ADB] Refresh against unstable.
   * data/files/fonts:
     + [ADB] Refresh against unstable.
   * data/standards-version/release-dates:
     + [RA] Add the release date for Policy 3.8.3.
 .
   * debian/control:
     + [RA] Update standards version to 3.8.3 (no changes required).
 .
   * frontend/lintian:
     + [RA] Enable multiple-distributions-in-changes-file now that Policy
       documents that this does not work with the Debian archive.
   * frontend/lintian-info:
     + [ADB] Correctly parse Lintian output for pedantic tags.  Thanks, James
       Vega.
 .
   * lib/Spelling.pm:
     + [RA] Add spelling correction for precedence.
 .
   * reporting/html_reports:
     + [JP] Accumulate tag-specific statistics in a new variable, and pass it
       to the appropriate templates.
   * reporting/templates/tags{,-severity}.tmpl:
     + [JP] Remove duplicate code to calculate tag statistics.
 .
   * t/runtests:
     + [RA] Update standards version to 3.8.3.
Checksums-Sha1: 
 d8034578bac4c674ec397749f650056a4504dcd9 1167 lintian_2.2.14.dsc
 a3f7446c625a218195716e7f9fd896383cba8123 731798 lintian_2.2.14.tar.gz
 0e1f6f4d845bb760f19ea8464cb0ac63236715ca 468394 lintian_2.2.14_all.deb
Checksums-Sha256: 
 fc372c8963ac7d2c22dbfda0f45ecd029fdc4f1347d5dbb3b83bb3dd920b69ce 1167 lintian_2.2.14.dsc
 48d31b91ee78ad47c0a5a4cae2532d002d23c364826b227519226e9785be2793 731798 lintian_2.2.14.tar.gz
 d40a2c8772b0a8e037665f5ea20aed0a76f7e2799de54d18882608ded01ed21d 468394 lintian_2.2.14_all.deb
Files: 
 c0b4d6209d27123a5705fec67f1b0c58 1167 devel optional lintian_2.2.14.dsc
 98f3764c0064bbbd1ab395151bbff0c5 731798 devel optional lintian_2.2.14.tar.gz
 c2a4e455f92e8514fee6fea2c6d3fe08 468394 devel optional lintian_2.2.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqHncwACgkQ+YXjQAr8dHZuyQCdHutP/W/IX+kBKJpwzGc/7cE3
YJQAniZHgniQzQcR1F2J1SkBNqMzngcb
=IWDa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Sep 2009 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:03:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.